/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 3.0.12
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package it.politecnico.coolprop;

public class CriticalState extends SimpleState {
  private transient long swigCPtr;

  protected CriticalState(long cPtr, boolean cMemoryOwn) {
    super(CoolPropJNI.CriticalState_SWIGUpcast(cPtr), cMemoryOwn);
    swigCPtr = cPtr;
  }

  protected static long getCPtr(CriticalState obj) {
    return (obj == null) ? 0 : obj.swigCPtr;
  }

  protected void finalize() {
    delete();
  }

  public synchronized void delete() {
    if (swigCPtr != 0) {
      if (swigCMemOwn) {
        swigCMemOwn = false;
        CoolPropJNI.delete_CriticalState(swigCPtr);
      }
      swigCPtr = 0;
    }
    super.delete();
  }

  public void setStable(boolean value) {
    CoolPropJNI.CriticalState_stable_set(swigCPtr, this, value);
  }

  public boolean getStable() {
    return CoolPropJNI.CriticalState_stable_get(swigCPtr, this);
  }

  public CriticalState() {
    this(CoolPropJNI.new_CriticalState(), true);
  }

}
